/**
 * XActMoodOrdPrms.java
 *
 * File generated from the medication::XActMoodOrdPrms uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodOrdPrms.
 *
 * 
 */

@XmlType(name = "XActMoodOrdPrms")
@XmlEnum
@XmlRootElement(name = "XActMoodOrdPrms")
public enum XActMoodOrdPrms {
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodOrdPrms(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodOrdPrms fromValue(String v) {
        for (XActMoodOrdPrms c: XActMoodOrdPrms.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}